#!/bin/sh

n="tsarboot"
v=$(cat version)
t=$(date)
u=${USER-root}
h=$(hostname)
svnrev=$(svn info | awk -F: '$1 == "Last Changed Rev" {print $2}')

printf "%s" \
   "const char versionstr[]=\"$n $v ($u@$h $t) (svn revision $svnrev)\n\r\";"
